attribute float interp;

varying float interpf;
varying vec3 normal;
varying vec3 lightDir;
varying float dist;

void main ()
{
	interpf = 0.0;
	
	normal = normalize(gl_Normal);

	lightDir = vec3(gl_LightSource[0].position);

	dist = length(lightDir);
	lightDir = normalize(lightDir);

	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_TexCoord[1] = gl_MultiTexCoord1;

	gl_Position = gl_ModelViewProjectionMatrix * vec4(gl_Vertex.x, -gl_Vertex.y, gl_Vertex.z, 1.0);
}